export declare class MarkupHighLight {
    private _textToBeHighLighted;
    private _searchKey;
    private _caseInSensitive;
    constructor(text?: string | string[], searchKey?: string, caseinSensitive?: boolean);
    getTextToBeHighLighted(): string | string[];
    setTextToBeHighLighted(text: string | string[]): void;
    getSearchKey(): string;
    setSearchKey(key: string): void;
    isCaseInSensitiveEnabled(): boolean;
    toggleCaseInSensitiveEnabled(ignoreCase: boolean): void;
    private getMatchingIndexes;
    private isListOfEmptyStrings;
    getHighLightedText(): string | string[];
    private getHighLightedString;
    private getListOfHighLightedStrings;
    reset(): void;
}
//# sourceMappingURL=markupHighLight.d.ts.map